<?
session_start();

$nameus=$_SESSION["username"];
$urlpage='<font color=#ff0000>Зарабатывает</font>';
?>
<link rel="stylesheet" type="text/css" media="screen,projection,print" href="./css/diz.css">
<?
require('config.php');

$uo_sessionTime = 1;
$uo_ip = $_SERVER['REMOTE_ADDR'];
$uo_query = "DELETE FROM users_online WHERE unix_timestamp() - lastvisit >= $uo_sessionTime * 60";
mysql_query($uo_query);

$uo_query = "SELECT lastvisit FROM users_online WHERE visitor = '$uo_ip'";
$uo_result = mysql_query($uo_query);
if(mysql_num_rows($uo_result) == 0) {
	$uo_query = "INSERT INTO users_online (visitor,lastvisit,user,urlpage) VALUES('$uo_ip', unix_timestamp(), '$nameus', '$urlpage')";
	mysql_query($uo_query);
} else {
	$uo_query = "UPDATE users_online SET lastvisit = unix_timestamp(), urlpage='$urlpage', user='$nameus' WHERE visitor = '$uo_ip'";
	mysql_query($uo_query);
}

$ad=intval($_GET["ad"]);

$row_pr=mysql_fetch_assoc(mysql_query("SELECT id FROM tb_ads1 WHERE id='$ad' and play = '1'"));
if($row_pr["id"]!=""){echo "Нет токой ссылки, или просмотр был остановлен рекламодателем"; exit;}

if(!ereg("^[0-9]{1,255}$", $ad))
{
	$ad=-1;
}
$ad=intval($ad);

$sql="select * from tb_hack where id='1'";

$res=mysql_query($sql);
$row=mysql_fetch_assoc($res);
$key_pr=$row["key_n"];
if($ad=="$key_pr")
{

$nameus=$_SESSION["username"];

$sql="update tb_users set user_status='ban' where username='$nameus'";
	mysql_query($sql) or die(mysql_error());
$sql="update tb_users set money=0 where username='$nameus'";
mysql_query($sql) or die(mysql_error());

	echo "<font color='#ff0000'><b>Ваш аккаунт заблокирован на вывод средств!</b></font><br />";exit();
}

$res=mysql_query("select count(*) as kolvo from tb_ads1 where id='$ad'");
$res=mysql_fetch_assoc($res);

$res=mysql_query("select url, description, timer, outside from tb_ads1 where id='$ad'");
$res=mysql_fetch_assoc($res);

$urlsite=$res["url"];

$_SESSION["urlsite"]=$res["url"];
$_SESSION["desc"]=$res["description"];
$_SESSION["timer"]=$res["timer"];
$_SESSION["ad"]=$ad;

if ($ad==5453663 or $ad==5677477 or $ad==3456472 or $ad==3466225){
if ($nameus!=''){
$sql = "SELECT * FROM tb_users WHERE username='$nameus'";
$result = mysql_query($sql);
$row = mysql_fetch_assoc($result);
$username=$row["username"];
$checkuser = mysql_query("SELECT login FROM seelf_autoclicker WHERE login='$username'");
$username_exist = mysql_num_rows($checkuser);

 if ($username_exist>0 and $username_exist<3) {
$wmid=$row["wmid"];
$pemail=$row["pemail"];
$date=time();
$reason="Автосерфер";
$whoadd="";
$ipadd="SERVER";
$comment="Системой. <font color=\"red\">Заблокирован!</font>";

$query = "INSERT INTO `seelf_autoclicker` (wmid, R, login, reason, ip, whoadd, ipadd, comment, date) VALUES('$wmid', '$pemail', '$username', '$reason', '" . $_SERVER['REMOTE_ADDR'] . "', '$whoadd', '$ipadd', '$comment', '$date')";
mysql_query($query) or die(mysql_error());

$mess = "INSERT INTO `tb_mail` (sender, recipient, subject, message, status , data) VALUES('Система Зашиты сайта', '$username', 'Блокировка', 'Здравствуйте, $username, Вы сделали повторный клик по ссылке для автокликеров! Работоспособность вашего Аккаунта заблокирована! С уважением администрация сайта.', '0', '$date')";
mysql_query($mess) or die(mysql_error());

$sql="update tb_users set money=0 where username='$username'";
mysql_query($sql) or die(mysql_error());


echo "<br><center><img src=\"images/error.png\" align=\"middle\">&nbsp;<b>Вы нажали на ссылку для автокликеров повторно. Ваш Аккаунт Заблокирован!.</b></center>";exit;
 }else{echo "<center><img src=\"images/error.png\" align=\"middle\">&nbsp;<b>Вы нажали на ссылку для автокликеров. Баланс обнулился. При повторном нажатии ссылки для автокликеров Ваш Аккаунт Будет Заблокирован!!!.</b><br></center>";

$wmid=$row["wmid"];
$pemail=$row["pemail"];
$date=time();
$reason="Автосерфер";
$whoadd="";
$ipadd="SERVER";
$comment="Система. <font color=\"green\">Предупреждения!</font>";

$query = "INSERT INTO `seelf_autoclicker` (wmid, R, login, reason, ip, whoadd, ipadd, comment, date) VALUES('$wmid', '$pemail', '$username', '$reason', '" . $_SERVER['REMOTE_ADDR'] . "', '$whoadd', '$ipadd', '$comment', '$date')";
mysql_query($query) or die(mysql_error());

$sql="update tb_users set money=0 where username='$username'";
mysql_query($sql) or die(mysql_error());

$mess = "INSERT INTO `tb_mail` (sender, recipient, subject, message, status , data) VALUES('Система Зашиты сайта', '$username', 'Предупреждение', 'Здравствуйте, $username, Вы сделали первый клик по ссылке для автокликеров, Ваш баланс обнулился. При повторном клике работоспособность нашего проекта будет заблокирована для вас! Не используйте автокликеры, работайте честно и будьте внимательны! Удачного Вам заработка. С уважением администрация сайта.', '0', '$date')";
mysql_query($mess) or die(mysql_error());
 }
	}
}

if($_SESSION["username"]==NULL)
{
	$outside=$res["outside"]+1;

	mysql_query("update tb_ads1 set outside='$outside' where id='$ad'");

	?>
	<script type="text/javascript">
	location.replace("<?=$urlsite?>");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=<?=$urlsite?>">
	</noscript>
	<?
}
?>
<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Expires" content="-1">
<title>Almazz-Bux.Info - Система Активной Рекламы</title>
<link rel="shortcut icon" href="favicon.png" />
<frameset rows="47,32,*" bordercolor="#555555" frameborder="0" framespacing="0"> 
<frame marginwidth="0" marginheight="0" name="frminfo" scrolling="no" noresize src="vls1.php">
<frame name="frmads" noresize scrolling="no" marginwidth="0" marginheight="0" src="vfa.php">
<frame name="frmsite" src="<?=$urlsite ?>">
</frameset>

</head>
</html>